Skip to main content
PUT
cURL

Field support per integration

Supported request parameters:
string
required
BookingType
required
Available options: BILL, INVOICE, INVOICE_CREDIT_NOTE, BILL_CREDIT_NOTE
file[]
Only one file is supported. The file name must not exceed 255 characters in length.

Headers

X-API-KEY
string
required

API key

X-ACCOUNT-KEY
string
required

Account key

Path Parameters

bookingProposalId
string
required

Query Parameters

companyId
string
environmentName
string

Environment name (required for multi-environment systems such as Business Central)

Body

multipart/form-data
bookingProposal
object
bookingType
enum<string>
Available options:
INVOICE,
BILL,
INVOICE_CREDIT_NOTE,
BILL_CREDIT_NOTE
files
file[]

Array of files to upload

Response

200 - application/json
meta
object
data
object
Last modified on November 2, 2026